#ifndef _GRAPRA_MOVEABLE_ENTITY_
#define _GRAPRA_MOVEABLE_ENTITY_

#include "EntityManager.hpp"
#include "Entity.hpp"
#include "Vector3d.hpp"

class MoveableEntity : public Entity
{
public:
	MoveableEntity(Game* g);
	friend class EntityManager;

	void setVelocity(Vector3f vel){ velocity=vel; }
	Vector3f getVelocity(){ return velocity; }
	virtual void onTouch(Entity* Toucher) override {};
protected:
	Vector3f velocity;
};

#endif
